i-Educar e i-Diario

Pessoal, ja instalei o ieducar no VPS, e ja estou usando, porem agora quero fazer a instalacao do idiario. Alguem tem o tutorial do idiario? Deve ser instalado os 2 no mesmo ambiente do VPS? Por favor quem pode me ajudar.

Instala os dois na mesma vps, porém com o nginx escutando em portas diferentes. Segue o tutorial que fiz: [resolvido] i-Diario - instalação em modo de produção

1 Curtida

Porque sera que ta dando esse erro na instalacao do i-Diario. Podem me ajudar.

Parece ser a vers√£o do ‚Äėcomposer‚Äô, que o programa exige um e o instalado √© outro. Aqui eu instalei sem o docker e n√£o passei por esse erro

sem o docker, como assim? tem q instalar sem o docker os 2. ieducar e idiario? porque sempre fiz minhas instalacoes do ieducar com docker. Tem como instalar o idiario sem o docker mesmo que o ieducar tenha sido instalado?

√Č poss√≠vel instalar ambos com ou sem o docker, tem suas vantagens e desvantagens. ‚ÄúTem como instalar o idiario sem o docker mesmo que o ieducar tenha sido instalado?‚ÄĚ Sim

1 Curtida

to aqui brigando e ate agora nada de conseguir… tipo i-educar… demorei muito pra conseguir fazer a primeira instalacao, mas depois que conseguir, fiz meu tutorial e agora ta facin… facin… kkkkkkkkkkkkkk

[resolvido] i-Diario - instalação em modo de produção seguindo esses passos dar certo, tem que fazer algumas mudancas nesse tutorial???

Eita, tem sim. Tem que reinstalar o nginx para ele ter suporte ao Ruby. E as linhas abaixo devem ser ‚Äėfalse‚Äô

#NÃO altera as linhas do arquivo /config/enviroments/production.rb

config.serve_static_files = false
config.assets.compile = false

Ainda nao conseguir visualizar esse passo a passo de instalacao do i-diario junto ao i-educar

Primeiro instala o i-Diario sem se preocupar com o i-Educar. Quando ele estiver funcionando aí trabalha na sincronização

Poise, meu i-educar ja instalado com o docker e funcionando normal, porem com 2 problemas desde o inicio, NAO GERA HISTORICO ESCOLAR DO EJA e nem GERA RELATARIO PDF DO PARECER INDIVIDUAL DOS ALUNOS DO 1 AO 5 ANO. Fora isso ta ok.

1 Curtida

Pessoal alguem pode me ajudar por favor, deu esse erro depois que executei esse comando bundle install Estou tentando fazer a instalacao sem o docker, seguindo esse tutorial que to fazendo com informacoes obtidas aqui https://github.com/portabilis/i-diario

apt-get update

cd /var/www/html/i-diario

git clone https://github.com/portabilis/i-diario.git	

cd /var/www/html/i-diario/i-diario

Copiar o exemplo de configura√ß√Ķes de banco de dados e configurar:
cp config/database.sample.yml config/database.yml

Sem Docker
Instalar o Ruby 2.2.6 (Recomendamos uso de um gerenciador de vers√Ķes como Rbenv ou Rvm)
sudo apt-get install ruby-full -y

apt install gnupg2

gpg2 --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 7D2BAF1CF37B13E2069D6956105BD0E739499BDB

\curl -sSL https://get.rvm.io | bash -s stable

\curl -sSL https://get.rvm.io | bash -s stable --rails

Instalar a gem Bundler:
gem install bundler -v ‚Äė1.17.3‚Äô

bundle install

Boa tarde!

Está dizendo que a versão da linguagem Ruby que está na sua máquina é a 2.3.1 porém o i-diario precisa do Ruby na versão 2.2.6.
Se você instalou o Rbenv rode os seguintes comandos:
rbenv install 2.2.6
rbenv global 2.2.6

Se você instalou o RVM rode os seguintes comandos:
rvm install 2.2.6
rvm use 2.2.6

Como saber se você instalou pelo Rbenv ou RVM? Apenas rode os comandos, o que não dar erro é o que você está usando :stuck_out_tongue:

Caso você não tenha usado o Rbenv ou RVM:
Instalei um dos dois, n√£o sei se tem como fazer um downgrade da vers√£o 2.3.1 para a 2.2.6

Boa sorte.

1 Curtida

Obrigado… vou tentar aqui.

Bom dia, fiz como vc falou, executei o comando bundle install, porem no final apareceu esse texto em vermelho. Nao sei se deu erro ou nao. Mas parece que deu… kkkkkkkkk

Criar e configurar o arquivo config/secrets.yml conforme o exemplo: deve ser criado em qual diretorio, tentei aqui mas ta dando erro, porque meu i-Diario esta instalando nesse caminho. cd /var/www/html/idiario/i-diario todos os arquivos estao dentro desse diretorio.

ROBSON vc fez a instalacao do i-Diario como por aqui git clone https://github.com/portabilis/i-diario.git ou baixando os arquivos e fazendo UPLOAD pro VPS? Por que fiz a instalacao dos 2 jeitos e nao funciou.

baixei o √ļltimo release a partir da vps utilizando o comando wget

Poise vou fazer daqui a pouco a instalacao tb assim baixei aversao 1.1.2.zip q e a ultima, irei fazer upload jaja no meu VPS e ver se vai continuar aquele mesmo erro da pasta.